
(*
 *	Copyright (c) 2002 by Laboratoire Spcification et Vrification (LSV),
 *	CNRS UMR 8643 & ENS Cachan.
 *	Written by Jean Goubault-Larrecq.  Not derived from licensed software.
 *
 *	Permission is granted to anyone to use this software for any
 *	purpose on any computer system, and to redistribute it freely,
 *	subject to the following restrictions:
 *
 *	1. Neither the author nor its employer is responsible for the consequences of use of
 *		this software, no matter how awful, even if they arise
 *		from defects in it.
 *
 *	2. The origin of this software must not be misrepresented, either
 *		by explicit claim or by omission.
 *
 *	3. Altered versions must be plainly marked as such, and must not
 *		be misrepresented as being the original software.
 *
 *	4. This software is restricted to non-commercial use only.  Commercial
 *		use is subject to a specific license, obtainable from LSV.
 *)

val heap_sort : ('a -> 'a -> int) -> 'a list -> 'a list

val invert_hash :
  ('a, ('b, 'c) Hashtbl.t) Hashtbl.t -> ('b, ('a, 'c) Hashtbl.t) Hashtbl.t

val print_lines : (string * int) list -> unit

val code_mort : Control.fun_table -> Analyseur.abs_info -> unit
val print_sigs : Sigs.sig_set -> unit
val sigs : Control.fun_table -> Analyseur.sig_info -> unit
